## mingw-w64-astyle-3.4.13-1.src.tar.zst

=== AStyle/build/clang/Makefile ===
# Make file for GCC compiler on Linux or compatible OS

# list of source files for astyle
SRC = astyle_main.cpp \
      ASBeautifier.cpp \
      ASFormatter.cpp \
      ASEnhancer.cpp \
      ASLocalizer.cpp \
      ASResource.cpp

# list of source files for libraries without ASLocalizer
SRCx = astyle_main.cpp \
       ASBeautifier.cpp \
       ASFormatter.cpp \
       ASEnhancer.cpp \
       ASResource.cpp

# source directories
vpath %.cpp ../../src
vpath %.h   ../../src

# NOTE for java compiles the environment variable $JAVA_HOME must be set
# example: export JAVA_HOME=/usr/lib/jvm/java-6-sun-1.6.0.00
ifndef JAVA_HOME
    JAVA_HOME = /usr/lib/jvm/default-java
endif

# set prefix if not defined on the command line
ifndef prefix
    prefix=/usr
endif
SYSCONF_PATH=$(prefix)/share/doc/astyle

# define macros
# CXX defaults to g++
ifeq ($(CXX), g++)
	CXX = clang++
endif
bindir = bin
objdir = obj
ipath=$(prefix)/bin
CBASEFLAGS = -Wall -Wextra -fno-rtti -fno-exceptions -std=c++11
JAVAINCS   = -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux
INSTALL=install -o $(USER) -g $(USER)

# Library's major version number -- Increment in case of incompatible API
# change.
MAJORVER = 3
# Library's minor version number -- Increment when functionality is added in a
# backward-compatible manner; reset to 0 when major number changes.
MINORVER = 2
# Library's patch version number -- Increment in case of backward-compatible
# bug fixes or refactoring; reset to 0 when minor number changes.
PATCHVER = 0
# Library's full version number.
SOLIBVER = $(MAJORVER).$(MINORVER).$(PATCHVER)

##################################################

# define compile options for each build
ifdef CFLAGS
    CFLAGSr   = -DNDEBUG $(CBASEFLAGS) $(CFLAGS)
    CFLAGSd   = -g $(CBASEFLAGS) $(CFLAGS)
else
    CFLAGSr   = -DNDEBUG -O3 $(CBASEFLAGS)
    CFLAGSd   = -g $(CBASEFLAGS)
endif
CFLAGSs   = -DASTYLE_LIB -fPIC $(CFLAGSr)
CFLAGSsd  = -DASTYLE_LIB -fPIC $(CFLAGSd)
CFLAGSa   = -DASTYLE_LIB $(CFLAGSr)
CFLAGSad  = -DASTYLE_LIB $(CFLAGSd)
CFLAGSsj  = -DASTYLE_JNI -fPIC $(CFLAGSr) $(JAVAINCS)
CFLAGSsjd = -DASTYLE_JNI -fPIC $(CFLAGSd) $(JAVAINCS)

# define link options
ifdef LDFLAGS
    LDFLAGSr   = $(LDFLAGS)
    LDFLAGSd   = $(LDFLAGS)
else
    LDFLAGSr   = -s
    LDFLAGSd   =
endif

# object files are built from the source list $(SRC)
# a suffix is added for each build
OBJ   = $(patsubst %.cpp,$(objdir)/%.o,$(SRC))
OBJd  = $(patsubst %.cpp,$(objdir)/%_d.o,$(SRC))
OBJs  = $(patsubst %.cpp,$(objdir)/%_s.o,$(SRCx))
OBJsd = $(patsubst %.cpp,$(objdir)/%_sd.o,$(SRCx))
OBJa  = $(patsubst %.cpp,$(objdir)/%_a.o,$(SRCx))
OBJad = $(patsubst %.cpp,$(objdir)/%_ad.o,$(SRCx))
OBJsj  = $(patsubst %.cpp,$(objdir)/%_sj.o,$(SRCx))
OBJsjd = $(patsubst %.cpp,$(objdir)/%_sjd.o,$(SRCx))

# define object file rule (with the suffix) for each build

# OBJ
$(objdir)/%.o:  %.cpp  astyle.h  astyle_main.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSr) -c $< -o $@

# OBJd
$(objdir)/%_d.o:  %.cpp  astyle.h  astyle_main.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSd) -c $< -o $@

# OBJs
$(objdir)/%_s.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSs) -c $< -o $@

# OBJsd
$(objdir)/%_sd.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSsd) -c $< -o $@

# OBJa
$(objdir)/%_a.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSa) -c $< -o $@

# OBJad
$(objdir)/%_ad.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSad) -c $< -o $@

# OBJsj
$(objdir)/%_sj.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSsj) -c $< -o $@

# OBJsjd
$(objdir)/%_sjd.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSsjd) -c $< -o $@

##################################################
# define build dependencies for each command

release:  astyle
astyle:  $(OBJ)
	@ mkdir -p $(bindir)
	$(CXX) $(LDFLAGSr) -o $(bindir)/$@ $^
	@ echo

debug:  astyled
astyled:  $(OBJd)
	@ mkdir -p $(bindir)
	$(CXX) $(LDFLAGSd) -o $(bindir)/$@ $^
	@ echo

shared:  libastyle.so
libastyle.so:  $(OBJs)
	@ mkdir -p $(bindir)
	$(CXX) -shared $(LDFLAGSr) -Wl,-soname,libastyle.so.$(MAJORVER) \
	-o $(bindir)/libastyle.so.$(SOLIBVER) $^
	@ln  --symbolic --force  libastyle.so.$(SOLIBVER)  libastyle.so.$(MAJORVER)
	@ln  --symbolic --force  libastyle.so.$(MAJORVER)  libastyle.so
	@mv  libastyle.so*  $(bindir)/
	@ echo

shareddebug:  libastyled.so
libastyled.so:  $(OBJsd)
	@ mkdir -p $(bindir)
	$(CXX) -shared $(LDFLAGSd) -Wl,-soname,libastyled.so.$(MAJORVER) \
	-o $(bindir)/libastyled.so.$(SOLIBVER) $^
	@ln  --symbolic --force  libastyled.so.$(SOLIBVER)  libastyled.so.$(MAJORVER)
	@ln  --symbolic --force  libastyled.so.$(MAJORVER)  libastyled.so
	@mv  libastyled.so*  $(bindir)/
	@ echo

static:  libastyle.a
libastyle.a:  $(OBJa)
	@ mkdir -p $(bindir)
	ar crs $(bindir)/$@ $^
	@ echo

staticdebug:  libastyled.a
libastyled.a:  $(OBJad)
	@ mkdir -p $(bindir)
	ar crs $(bindir)/$@ $^
	@ echo

java:  libastylej.so
libastylej.so:  $(OBJsj)
	@ mkdir -p $(bindir)
	$(CXX) -shared $(LDFLAGSr) -Wl,-soname,libastylej.so.$(MAJORVER) \
	-o $(bindir)/libastylej.so.$(SOLIBVER) $^
	@ln  --symbolic --force  libastylej.so.$(SOLIBVER)  libastylej.so.$(MAJORVER)
	@ln  --symbolic --force  libastylej.so.$(MAJORVER)  libastylej.so
	@mv  libastylej.so*  $(bindir)/
	@ echo

javadebug:  libastylejd.so
libastylejd.so:  $(OBJsjd)
	@ mkdir -p $(bindir)
	$(CXX) -shared $(LDFLAGSr) -Wl,-soname,libastylejd.so.$(MAJORVER) \
	-o $(bindir)/libastylejd.so.$(SOLIBVER) $^
	@ln  --symbolic --force  libastylejd.so.$(SOLIBVER)  libastylejd.so.$(MAJORVER)
	@ln  --symbolic --force  libastylejd.so.$(MAJORVER)  libastylejd.so
	@mv  libastylejd.so*  $(bindir)/
	@ echo

all:  release debug shared shareddebug static staticdebug

javaall:  java javadebug

clean:
	rm -f $(objdir)/*.o $(bindir)/*astyle*

cleanobj:
	rm -f $(objdir)/*.o

install:
	$(INSTALL) -m 755 -d $(ipath)
	@$(INSTALL) -m 755 $(bindir)/astyle  $(ipath)

	@if [ -d $(SYSCONF_PATH)/html ]; then \
		rm -rf  $(SYSCONF_PATH)/html; \
	fi

	$(INSTALL) -m 755 -d $(SYSCONF_PATH)
	@mkdir -p $(SYSCONF_PATH)/html;
	@for files in astyle.html \
                  install.html \
                  news.html \
                  notes.html \
                  styles.css; \
	do \
		$(INSTALL)  -m 644  ../../doc/$$files  $(SYSCONF_PATH)/html; \
	done

uninstall:
	rm -f $(ipath)/astyle
	rm -rf $(SYSCONF_PATH)

# copy release files to AStyleDev for testing
# --force, --preserve, --no-dereference (retain links)
testlibs:
	cp  -fpP  $(bindir)/astyle         ../../../AStyleDev/src-p/
	cp  -fpP  $(bindir)/libastyle.so*  ../../../AStyleDev/src-c/
	cp  -fpP  $(bindir)/libastyle.so*  ../../../AStyleDev/src-o/
	cp  -fpP  $(bindir)/libastyle.so*  ../../../AStyleDev/src-p/
	cp  -fpP  $(bindir)/libastyle.so*  ../../../AStyleDev/src-s/
	cp  -fpP  $(bindir)/libastyle.so*  ../../../AStyleDev/src-s2/
	cp  -fpP  $(bindir)/libastylej.so* ../../../AStyleDev/src-j/

# copy debug files to AStyleDev for testing
# --force, --preserve, --no-dereference (retain links)
testlibsd:
	cp  -fpP  $(bindir)/astyled         ../../../AStyleDev/src-p/
	cp  -fpP  $(bindir)/libastyled.so*  ../../../AStyleDev/src-c/
	cp  -fpP  $(bindir)/libastyled.so*  ../../../AStyleDev/src-o/
	cp  -fpP  $(bindir)/libastyled.so*  ../../../AStyleDev/src-p/
	cp  -fpP  $(bindir)/libastyled.so*  ../../../AStyleDev/src-s/
	cp  -fpP  $(bindir)/libastyled.so*  ../../../AStyleDev/src-s2/
	cp  -fpP  $(bindir)/libastylejd.so* ../../../AStyleDev/src-j/

=== AStyle/build/gcc/Makefile ===
# Make file for GCC compiler on Linux or compatible OS

# list of source files for astyle
SRC = astyle_main.cpp \
      ASBeautifier.cpp \
      ASFormatter.cpp \
      ASEnhancer.cpp \
      ASLocalizer.cpp \
      ASResource.cpp

# list of source files for libraries without ASLocalizer
SRCx = astyle_main.cpp \
       ASBeautifier.cpp \
       ASFormatter.cpp \
       ASEnhancer.cpp \
       ASResource.cpp

# source directories
vpath %.cpp ../../src
vpath %.h   ../../src

# NOTE for java compiles the environment variable $JAVA_HOME must be set
# example: export JAVA_HOME=/usr/lib/jvm/java-6-sun-1.6.0.00
ifndef JAVA_HOME
    JAVA_HOME = /usr/lib/jvm/default-java
endif

# set prefix if not defined on the command line
ifndef prefix
    prefix=/usr
endif
SYSCONF_PATH=$(prefix)/share/doc/astyle

# define macros
# CXX defaults to g++
bindir = bin
objdir = obj
ipath=$(prefix)/bin
CBASEFLAGS = -Wall -Wextra -fno-rtti -fno-exceptions -std=c++11
JAVAINCS   = -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux
INSTALL=install -o $(USER) -g $(USER)

# Library's major version number -- Increment in case of incompatible API
# change.
MAJORVER = 3
# Library's minor version number -- Increment when functionality is added in a
# backward-compatible manner; reset to 0 when major number changes.
MINORVER = 2
# Library's patch version number -- Increment in case of backward-compatible
# bug fixes or refactoring; reset to 0 when minor number changes.
PATCHVER = 0
# Library's full version number.
SOLIBVER = $(MAJORVER).$(MINORVER).$(PATCHVER)

##################################################

# define compile options for each build
ifdef CFLAGS
    CFLAGSr   = -DNDEBUG $(CBASEFLAGS) $(CFLAGS)
    CFLAGSd   = -g $(CBASEFLAGS) $(CFLAGS)
else
    CFLAGSr   = -DNDEBUG -O3 $(CBASEFLAGS)
    CFLAGSd   = -g $(CBASEFLAGS)
endif
CFLAGSs   = -DASTYLE_LIB -fPIC $(CFLAGSr)
CFLAGSsd  = -DASTYLE_LIB -fPIC $(CFLAGSd)
CFLAGSa   = -DASTYLE_LIB $(CFLAGSr)
CFLAGSad  = -DASTYLE_LIB $(CFLAGSd)
CFLAGSsj  = -DASTYLE_JNI -fPIC $(CFLAGSr) $(JAVAINCS)
CFLAGSsjd = -DASTYLE_JNI -fPIC $(CFLAGSd) $(JAVAINCS)

# define link options
ifdef LDFLAGS
    LDFLAGSr   = $(LDFLAGS)
    LDFLAGSd   = $(LDFLAGS)
else
    LDFLAGSr   = -s
    LDFLAGSd   =
endif

# object files are built from the source list $(SRC)
# a suffix is added for each build
OBJ   = $(patsubst %.cpp,$(objdir)/%.o,$(SRC))
OBJd  = $(patsubst %.cpp,$(objdir)/%_d.o,$(SRC))
OBJs  = $(patsubst %.cpp,$(objdir)/%_s.o,$(SRCx))
OBJsd = $(patsubst %.cpp,$(objdir)/%_sd.o,$(SRCx))
OBJa  = $(patsubst %.cpp,$(objdir)/%_a.o,$(SRCx))
OBJad = $(patsubst %.cpp,$(objdir)/%_ad.o,$(SRCx))
OBJsj  = $(patsubst %.cpp,$(objdir)/%_sj.o,$(SRCx))
OBJsjd = $(patsubst %.cpp,$(objdir)/%_sjd.o,$(SRCx))

# define object file rule (with the suffix) for each build

# OBJ
$(objdir)/%.o:  %.cpp  astyle.h  astyle_main.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSr) -c $< -o $@

# OBJd
$(objdir)/%_d.o:  %.cpp  astyle.h  astyle_main.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSd) -c $< -o $@

# OBJs
$(objdir)/%_s.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSs) -c $< -o $@

# OBJsd
$(objdir)/%_sd.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSsd) -c $< -o $@

# OBJa
$(objdir)/%_a.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSa) -c $< -o $@

# OBJad
$(objdir)/%_ad.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSad) -c $< -o $@

# OBJsj
$(objdir)/%_sj.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSsj) -c $< -o $@

# OBJsjd
$(objdir)/%_sjd.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSsjd) -c $< -o $@

##################################################
# define build dependencies for each command

release:  astyle
astyle:  $(OBJ)
	@ mkdir -p $(bindir)
	$(CXX) $(LDFLAGSr) -o $(bindir)/$@ $^
	@ echo

debug:  astyled
astyled:  $(OBJd)
	@ mkdir -p $(bindir)
	$(CXX) $(LDFLAGSd) -o $(bindir)/$@ $^
	@ echo

shared:  libastyle.so
libastyle.so:  $(OBJs)
	@ mkdir -p $(bindir)
	$(CXX) -shared $(LDFLAGSr) -Wl,-soname,libastyle.so.$(MAJORVER) \
	-o $(bindir)/libastyle.so.$(SOLIBVER) $^
	@ln  --symbolic --force  libastyle.so.$(SOLIBVER)  libastyle.so.$(MAJORVER)
	@ln  --symbolic --force  libastyle.so.$(MAJORVER)  libastyle.so
	@mv  libastyle.so*  $(bindir)/
	@ echo

shareddebug:  libastyled.so
libastyled.so:  $(OBJsd)
	@ mkdir -p $(bindir)
	$(CXX) -shared $(LDFLAGSd) -Wl,-soname,libastyled.so.$(MAJORVER) \
	-o $(bindir)/libastyled.so.$(SOLIBVER) $^
	@ln  --symbolic --force  libastyled.so.$(SOLIBVER)  libastyled.so.$(MAJORVER)
	@ln  --symbolic --force  libastyled.so.$(MAJORVER)  libastyled.so
	@mv  libastyled.so*  $(bindir)/
	@ echo

static:  libastyle.a
libastyle.a:  $(OBJa)
	@ mkdir -p $(bindir)
	ar crs $(bindir)/$@ $^
	@ echo

staticdebug:  libastyled.a
libastyled.a:  $(OBJad)
	@ mkdir -p $(bindir)
	ar crs $(bindir)/$@ $^
	@ echo

java:  libastylej.so
libastylej.so:  $(OBJsj)
	@ mkdir -p $(bindir)
	$(CXX) -shared $(LDFLAGSr) -Wl,-soname,libastylej.so.$(MAJORVER) \
	-o $(bindir)/libastylej.so.$(SOLIBVER) $^
	@ln  --symbolic --force  libastylej.so.$(SOLIBVER)  libastylej.so.$(MAJORVER)
	@ln  --symbolic --force  libastylej.so.$(MAJORVER)  libastylej.so
	@mv  libastylej.so*  $(bindir)/
	@ echo

javadebug:  libastylejd.so
libastylejd.so:  $(OBJsjd)
	@ mkdir -p $(bindir)
	$(CXX) -shared $(LDFLAGSr) -Wl,-soname,libastylejd.so.$(MAJORVER) \
	-o $(bindir)/libastylejd.so.$(SOLIBVER) $^
	@ln  --symbolic --force  libastylejd.so.$(SOLIBVER)  libastylejd.so.$(MAJORVER)
	@ln  --symbolic --force  libastylejd.so.$(MAJORVER)  libastylejd.so
	@mv  libastylejd.so*  $(bindir)/
	@ echo

all:  release debug shared shareddebug static staticdebug

javaall:  java javadebug

clean:
	rm -f $(objdir)/*.o $(bindir)/*astyle*

cleanobj:
	rm -f $(objdir)/*.o

install:
	$(INSTALL) -m 755 -d $(ipath)
	@$(INSTALL) -m 755 $(bindir)/astyle  $(ipath)

	@if [ -d $(SYSCONF_PATH)/html ]; then \
		rm -rf  $(SYSCONF_PATH)/html; \
	fi

	$(INSTALL) -m 755 -d $(SYSCONF_PATH)
	@mkdir -p $(SYSCONF_PATH)/html;
	@for files in astyle.html \
                  install.html \
                  news.html \
                  notes.html \
                  styles.css; \
	do \
		$(INSTALL)  -m 644  ../../doc/$$files  $(SYSCONF_PATH)/html; \
	done

uninstall:
	rm -f $(ipath)/astyle
	rm -rf $(SYSCONF_PATH)

# copy release files to AStyleDev for testing
# --force, --preserve, --no-dereference (retain links)
testlibs:
	cp  -fpP  $(bindir)/astyle         ../../../AStyleDev/src-p/
	cp  -fpP  $(bindir)/libastyle.so*  ../../../AStyleDev/src-c/
	cp  -fpP  $(bindir)/libastyle.so*  ../../../AStyleDev/src-o/
	cp  -fpP  $(bindir)/libastyle.so*  ../../../AStyleDev/src-p/
	cp  -fpP  $(bindir)/libastyle.so*  ../../../AStyleDev/src-s/
	cp  -fpP  $(bindir)/libastyle.so*  ../../../AStyleDev/src-s2/
	cp  -fpP  $(bindir)/libastylej.so* ../../../AStyleDev/src-j/

# copy debug files to AStyleDev for testing
# --force, --preserve, --no-dereference (retain links)
testlibsd:
	cp  -fpP  $(bindir)/astyled         ../../../AStyleDev/src-p/
	cp  -fpP  $(bindir)/libastyled.so*  ../../../AStyleDev/src-c/
	cp  -fpP  $(bindir)/libastyled.so*  ../../../AStyleDev/src-o/
	cp  -fpP  $(bindir)/libastyled.so*  ../../../AStyleDev/src-p/
	cp  -fpP  $(bindir)/libastyled.so*  ../../../AStyleDev/src-s/
	cp  -fpP  $(bindir)/libastyled.so*  ../../../AStyleDev/src-s2/
	cp  -fpP  $(bindir)/libastylejd.so* ../../../AStyleDev/src-j/

=== AStyle/build/intel/Makefile ===
# Make file for Intel compiler on Linux or compatible OS

# Before running "make" the COMPILER environment variables must be set.
# To set the environment variables "source" the compiler environment script:
#     source /opt/intel/bin/compilervars.sh  [ ia32 | intel64 ]
# Refer to the install instructions for details.
# If the environment variables are set, INTEL_LICENSE_FILE will be defined.
# NOTE: This does not work if 'sudo' is used, as in 'install' and 'uninstall'.
#ifndef INTEL_LICENSE_FILE
#    $(error The compiler environment variables are not set)
#endif

# list of source files for astyle
SRC = astyle_main.cpp \
      ASBeautifier.cpp \
      ASFormatter.cpp \
      ASEnhancer.cpp \
      ASLocalizer.cpp \
      ASResource.cpp

# list of source files for libraries without ASLocalizer
SRCx = astyle_main.cpp \
       ASBeautifier.cpp \
       ASFormatter.cpp \
       ASEnhancer.cpp \
       ASResource.cpp

# source directories
vpath %.cpp ../../src
vpath %.h   ../../src

# NOTE for java compiles the environment variable $JAVA_HOME must be set
# example: export JAVA_HOME=/usr/lib/jvm/java-6-sun-1.6.0.00
ifndef JAVA_HOME
    JAVA_HOME = /usr/lib/jvm/default-java
endif

# set prefix if not defined on the command line
ifndef prefix
    prefix=/usr
endif
SYSCONF_PATH=$(prefix)/share/doc/astyle

# define macros
# CXX defaults to g++
ifeq ($(CXX), g++)
	CXX = icpc
endif
bindir = bin
objdir = obj
ipath=$(prefix)/bin
CBASEFLAGS = -Wall -Wextra -fno-rtti -fno-exceptions -std=c++11
JAVAINCS   = -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux
INSTALL=install -o $(USER) -g $(USER)

# Library's major version number -- Increment in case of incompatible API
# change.
MAJORVER = 3
# Library's minor version number -- Increment when functionality is added in a
# backward-compatible manner; reset to 0 when major number changes.
MINORVER = 2
# Library's patch version number -- Increment in case of backward-compatible
# bug fixes or refactoring; reset to 0 when minor number changes.
PATCHVER = 0
# Library's full version number.
SOLIBVER = $(MAJORVER).$(MINORVER).$(PATCHVER)

##################################################

# define compile options for each build
# -wd option is to remove remarks for the release build
ifdef CFLAGS
    CFLAGSr   = -DNDEBUG $(CBASEFLAGS) -wd11074,11076 $(CFLAGS)
    CFLAGSd   = -g $(CBASEFLAGS) $(CFLAGS)
else
    CFLAGSr   = -DNDEBUG -O3 $(CBASEFLAGS) -wd11074,11076
    CFLAGSd   = -g $(CBASEFLAGS)
endif
CFLAGSs   = -DASTYLE_LIB -fPIC $(CFLAGSr)
CFLAGSsd  = -DASTYLE_LIB -fPIC $(CFLAGSd)
CFLAGSa   = -DASTYLE_LIB $(CFLAGSr)
CFLAGSad  = -DASTYLE_LIB $(CFLAGSd)
CFLAGSsj  = -DASTYLE_JNI -fPIC $(CFLAGSr) $(JAVAINCS)
CFLAGSsjd = -DASTYLE_JNI -fPIC $(CFLAGSd) $(JAVAINCS)

# define link options
ifdef LDFLAGS
    LDFLAGSr   = $(LDFLAGS)
    LDFLAGSd   = $(LDFLAGS)
else
    LDFLAGSr   = -s
    LDFLAGSd   =
endif

# object files are built from the source list $(SRC)
# a suffix is added for each build
OBJ   = $(patsubst %.cpp,$(objdir)/%.o,$(SRC))
OBJd  = $(patsubst %.cpp,$(objdir)/%_d.o,$(SRC))
OBJs  = $(patsubst %.cpp,$(objdir)/%_s.o,$(SRCx))
OBJsd = $(patsubst %.cpp,$(objdir)/%_sd.o,$(SRCx))
OBJa  = $(patsubst %.cpp,$(objdir)/%_a.o,$(SRCx))
OBJad = $(patsubst %.cpp,$(objdir)/%_ad.o,$(SRCx))
OBJsj  = $(patsubst %.cpp,$(objdir)/%_sj.o,$(SRCx))
OBJsjd = $(patsubst %.cpp,$(objdir)/%_sjd.o,$(SRCx))

# define object file rule (with the suffix) for each build

# OBJ
$(objdir)/%.o:  %.cpp  astyle.h  astyle_main.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSr) -c $< -o $@

# OBJd
$(objdir)/%_d.o:  %.cpp  astyle.h  astyle_main.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSd) -c $< -o $@

# OBJs
$(objdir)/%_s.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSs) -c $< -o $@

# OBJsd
$(objdir)/%_sd.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSsd) -c $< -o $@

# OBJa
$(objdir)/%_a.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSa) -c $< -o $@

# OBJad
$(objdir)/%_ad.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSad) -c $< -o $@

# OBJsj
$(objdir)/%_sj.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSsj) -c $< -o $@

# OBJsjd
$(objdir)/%_sjd.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSsjd) -c $< -o $@

##################################################
# define build dependencies for each command

release:  astyle
astyle:  $(OBJ)
	@ mkdir -p $(bindir)
	$(CXX) $(LDFLAGSr) -o $(bindir)/$@ $^
	@ echo

debug:  astyled
astyled:  $(OBJd)
	@ mkdir -p $(bindir)
	$(CXX) $(LDFLAGSd) -o $(bindir)/$@ $^
	@ echo

shared:  libastyle.so
libastyle.so:  $(OBJs)
	@ mkdir -p $(bindir)
	$(CXX) -shared -static-intel $(LDFLAGSr) -Wl,-soname,libastyle.so.$(MAJORVER) \
	-o $(bindir)/libastyle.so.$(SOLIBVER) $^
	@ln  --symbolic --force  libastyle.so.$(SOLIBVER)  libastyle.so.$(MAJORVER)
	@ln  --symbolic --force  libastyle.so.$(MAJORVER)  libastyle.so
	@mv  libastyle.so*  $(bindir)/
	@ echo

shareddebug:  libastyled.so
libastyled.so:  $(OBJsd)
	@ mkdir -p $(bindir)
	$(CXX) -shared -static-intel $(LDFLAGSd) -Wl,-soname,libastyled.so.$(MAJORVER) \
	-o $(bindir)/libastyled.so.$(SOLIBVER) $^
	@ln  --symbolic --force  libastyled.so.$(SOLIBVER)  libastyled.so.$(MAJORVER)
	@ln  --symbolic --force  libastyled.so.$(MAJORVER)  libastyled.so
	@mv  libastyled.so*  $(bindir)/
	@ echo

static:  libastyle.a
libastyle.a:  $(OBJa)
	@ mkdir -p $(bindir)
	ar crs $(bindir)/$@ $^
	@ echo

staticdebug:  libastyled.a
libastyled.a:  $(OBJad)
	@ mkdir -p $(bindir)
	ar crs $(bindir)/$@ $^
	@ echo

java:  libastylej.so
libastylej.so:  $(OBJsj)
	@ mkdir -p $(bindir)
	$(CXX) -shared -static-intel $(LDFLAGSr) -Wl,-soname,libastylej.so.$(MAJORVER) \
	-o $(bindir)/libastylej.so.$(SOLIBVER) $^
	@ln  --symbolic --force  libastylej.so.$(SOLIBVER)  libastylej.so.$(MAJORVER)
	@ln  --symbolic --force  libastylej.so.$(MAJORVER)  libastylej.so
	@mv  libastylej.so*  $(bindir)/
	@ echo

javadebug:  libastylejd.so
libastylejd.so:  $(OBJsjd)
	@ mkdir -p $(bindir)
	$(CXX) -shared -static-intel $(LDFLAGSr) -Wl,-soname,libastylejd.so.$(MAJORVER) \
	-o $(bindir)/libastylejd.so.$(SOLIBVER) $^
	@ln  --symbolic --force  libastylejd.so.$(SOLIBVER)  libastylejd.so.$(MAJORVER)
	@ln  --symbolic --force  libastylejd.so.$(MAJORVER)  libastylejd.so
	@mv  libastylejd.so*  $(bindir)/
	@ echo

all:  release debug shared shareddebug static staticdebug

javaall:  java javadebug

clean:
	rm -f $(objdir)/*.o $(bindir)/*astyle*

cleanobj:
	rm -f $(objdir)/*.o

install:
	$(INSTALL) -m 755 -d $(ipath)
	@$(INSTALL) -m 755 $(bindir)/astyle  $(ipath)

	@if [ -d $(SYSCONF_PATH)/html ]; then \
		rm -rf  $(SYSCONF_PATH)/html; \
	fi

	$(INSTALL) -m 755 -d $(SYSCONF_PATH)
	@mkdir -p $(SYSCONF_PATH)/html;
	@for files in astyle.html \
                  install.html \
                  news.html \
                  notes.html \
                  styles.css; \
	do \
		$(INSTALL)  -m 644  ../../doc/$$files  $(SYSCONF_PATH)/html; \
	done

uninstall:
	rm -f $(ipath)/astyle
	rm -rf $(SYSCONF_PATH)

# copy release files to AStyleDev for testing
# --force, --preserve, --no-dereference (retain links)
testlibs:
	cp  -fpP  $(bindir)/astyle         ../../../AStyleDev/src-p/
	cp  -fpP  $(bindir)/libastyle.so*  ../../../AStyleDev/src-c/
	cp  -fpP  $(bindir)/libastyle.so*  ../../../AStyleDev/src-o/
	cp  -fpP  $(bindir)/libastyle.so*  ../../../AStyleDev/src-p/
	cp  -fpP  $(bindir)/libastyle.so*  ../../../AStyleDev/src-s/
	cp  -fpP  $(bindir)/libastyle.so*  ../../../AStyleDev/src-s2/
	cp  -fpP  $(bindir)/libastylej.so* ../../../AStyleDev/src-j/

# copy debug files to AStyleDev for testing
# --force, --preserve, --no-dereference (retain links)
testlibsd:
	cp  -fpP  $(bindir)/astyled         ../../../AStyleDev/src-p/
	cp  -fpP  $(bindir)/libastyled.so*  ../../../AStyleDev/src-c/
	cp  -fpP  $(bindir)/libastyled.so*  ../../../AStyleDev/src-o/
	cp  -fpP  $(bindir)/libastyled.so*  ../../../AStyleDev/src-p/
	cp  -fpP  $(bindir)/libastyled.so*  ../../../AStyleDev/src-s/
	cp  -fpP  $(bindir)/libastyled.so*  ../../../AStyleDev/src-s2/
	cp  -fpP  $(bindir)/libastylejd.so* ../../../AStyleDev/src-j/

=== AStyle/build/mac/Makefile ===
# Make file for Clang compiler on macOS.

# to test on Linux use "make  linux=1"

# list of source files for astyle
SRC = astyle_main.cpp \
      ASBeautifier.cpp \
      ASFormatter.cpp \
      ASEnhancer.cpp \
      ASLocalizer.cpp \
      ASResource.cpp

# list of source files for libraries without ASLocalizer
SRCx = astyle_main.cpp \
       ASBeautifier.cpp \
       ASFormatter.cpp \
       ASEnhancer.cpp \
       ASResource.cpp

# source directories
vpath %.cpp ../../src
vpath %.h   ../../src

# NOTE for java compiles the environment variable $JAVA_HOME must be set
# example: export JAVA_HOME=/usr/lib/jvm/java-6-sun-1.6.0.00
ifndef JAVA_HOME
    JAVA_HOME = /usr/lib/jvm/default-java
endif

# set prefix if not defined on the command line
ifndef prefix
    prefix=/usr/local
endif
SYSCONF_PATH=$(prefix)/share/doc/astyle

# define macros
dylib = dylib
dynamiclib = -dynamiclib
bindir = bin
objdir = obj
ipath=$(prefix)/bin
CBASEFLAGS = -W -Wall -std=c++11 -stdlib=libc++ -fno-rtti -fno-exceptions  \
-mmacosx-version-min=10.9
LDBASEFLAGS =
JAVAINCS  = -I/Library/Java/JavaVirtualMachines/jdk-11.0.1.jdk/Contents/Home/include \
-I/Library/Java/JavaVirtualMachines/jdk-11.0.1.jdk/Contents/Home/include/darwin \
-I/System/Library/Frameworks/JavaVM.framework/Headers
CXX = clang++
INSTALL=install -o $(USER) -g wheel
# INSTALL=install -o 0 -g 0

# for testing on linux
ifdef linux
    dylib = so
    dynamiclib = -shared
    CXX = g++
    JAVAINCS   = -I$(JAVA_HOME)/include -I$(JAVA_HOME)/include/linux
endif

##################################################

# define compile options for each build
ifdef CFLAGS
    CFLAGSr   = -DNDEBUG $(CBASEFLAGS) $(CFLAGS)
    CFLAGSd   = -g $(CBASEFLAGS) $(CFLAGS)
else
    CFLAGSr   = -DNDEBUG -O3 $(CBASEFLAGS)
    CFLAGSd   = -g $(CBASEFLAGS)
endif
CFLAGSs   = -DASTYLE_LIB -fPIC $(CFLAGSr)
CFLAGSsd  = -DASTYLE_LIB -fPIC $(CFLAGSd)
CFLAGSa   = -DASTYLE_LIB $(CFLAGSr)
CFLAGSad  = -DASTYLE_LIB $(CFLAGSd)
CFLAGSsj  = -DASTYLE_JNI -fPIC $(CFLAGSr) $(JAVAINCS)
CFLAGSsjd = -DASTYLE_JNI -fPIC $(CFLAGSd) $(JAVAINCS)

# define link options
ifdef LDFLAGS
    LDFLAGSr = $(LDBASEFLAGS) $(LDFLAGS)
    LDFLAGSd = $(LDBASEFLAGS) $(LDFLAGS)
else
    LDFLAGSr = $(LDBASEFLAGS)
    LDFLAGSd = $(LDBASEFLAGS)
endif

# object files are built from the source list $(SRC)
# a suffix is added for each build
OBJ   = $(patsubst %.cpp,$(objdir)/%.o,$(SRC))
OBJd  = $(patsubst %.cpp,$(objdir)/%_d.o,$(SRC))
OBJs  = $(patsubst %.cpp,$(objdir)/%_s.o,$(SRCx))
OBJsd = $(patsubst %.cpp,$(objdir)/%_sd.o,$(SRCx))
OBJa  = $(patsubst %.cpp,$(objdir)/%_a.o,$(SRCx))
OBJad = $(patsubst %.cpp,$(objdir)/%_ad.o,$(SRCx))
OBJsj  = $(patsubst %.cpp,$(objdir)/%_sj.o,$(SRCx))
OBJsjd = $(patsubst %.cpp,$(objdir)/%_sjd.o,$(SRCx))

# define object file rule (with the suffix) for each build

# OBJ
$(objdir)/%.o:  %.cpp  astyle.h  astyle_main.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSr) -c $< -o $@

# OBJd
$(objdir)/%_d.o:  %.cpp  astyle.h  astyle_main.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSd) -c $< -o $@

# OBJs
$(objdir)/%_s.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSs) -c $< -o $@

# OBJsd
$(objdir)/%_sd.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSsd) -c $< -o $@

# OBJa
$(objdir)/%_a.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSa) -c $< -o $@

# OBJad
$(objdir)/%_ad.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSad) -c $< -o $@

# OBJsj
$(objdir)/%_sj.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSsj) -c $< -o $@

# OBJsjd
$(objdir)/%_sjd.o:  %.cpp  astyle.h
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSsjd) -c $< -o $@

##################################################
# define build dependencies for each command

release:  astyle
astyle:  $(OBJ)
	@ mkdir -p $(bindir)
	$(CXX) $(LDFLAGSr) -dead_strip -o $(bindir)/AStyle $^
	strip $(bindir)/AStyle
	@ echo

debug:  astyled
astyled:  $(OBJd)
	@ mkdir -p $(bindir)
	$(CXX) $(LDFLAGSd) -o $(bindir)/AStyled $^
	@ echo

shared:  libastyle.$(dylib)
libastyle.$(dylib):  $(OBJs)
	@ mkdir -p $(bindir)
	$(CXX) $(dynamiclib) $(LDFLAGSr) -o $(bindir)/libastyle32.$(dylib) $^
	@ echo

shareddebug:  libastyled.$(dylib)
libastyled.$(dylib):  $(OBJsd)
	@ mkdir -p $(bindir)
	$(CXX) $(dynamiclib) $(LDFLAGSd) -o $(bindir)/libastyle32d.$(dylib) $^
	@ echo

static:  libastyle.a
libastyle.a:  $(OBJa)
	@ mkdir -p $(bindir)
	ar crs $(bindir)/$@ $^
	@ echo

staticdebug:  libastyled.a
libastyled.a:  $(OBJad)
	@ mkdir -p $(bindir)
	ar crs $(bindir)/$@ $^
	@ echo

java:  libastylej.$(dylib)
libastylej.$(dylib):  $(OBJsj)
	@ mkdir -p $(bindir)
	$(CXX) $(dynamiclib) $(LDFLAGSr) -o $(bindir)/libastyle32j.$(dylib) $^
	@ echo

javadebug:  libastylejd.$(dylib)
libastylejd.$(dylib):  $(OBJsjd)
	@ mkdir -p $(bindir)
	$(CXX) $(dynamiclib) $(LDFLAGSd) -o $(bindir)/libastyle32jd.$(dylib) $^
	@ echo

all:  release debug shared shareddebug static staticdebug

javaall:  java javadebug

clean:
	rm -f $(objdir)/*.o $(bindir)/*astyle*

cleanobj:
	rm -f $(objdir)/*.o

install:
	$(INSTALL) -m 755 -d $(ipath)
	@$(INSTALL) -m 755 $(bindir)/astyle  $(ipath)

	@if [ -d $(SYSCONF_PATH)/html ]; then \
		rm -rf  $(SYSCONF_PATH)/html; \
	fi

	$(INSTALL) -m 755 -d $(SYSCONF_PATH)
	@mkdir -p $(SYSCONF_PATH)/html;
	@for files in astyle.html \
                  install.html \
                  news.html \
                  notes.html \
                  styles.css; \
	do \
		$(INSTALL)  -m 644  "../../doc/$$files"  $(SYSCONF_PATH)/html; \
	done

uninstall:
	rm -f $(ipath)/astyle
	rm -rf $(SYSCONF_PATH)

=== AStyleWx/build/clang/Makefile ===
# Make file for Clang compiler on Linux or compatible OS

# list of astylewx source files without the directory
# included are files from astyle/src, astylewx/src, and astylewx/dialog
SRC = astyle_main.cpp ASBeautifier.cpp ASFormatter.cpp ASEnhancer.cpp ASResource.cpp \
$(shell find ../../src -name "*.cpp" | sed -e 's@../../src/@@') \
AboutDlgBase.cpp  AStyleDlgBase.cpp  EditorDlgBase.cpp  SettingsDlgBase.cpp

# list of astylewxso source files without the directory
# included are files from astylewx/src, and astylewx/dialog
# not included are files from astyle/src,
SRCs = $(shell find ../../src -name "*.cpp" | sed -e 's@../../src/@@') \
AboutDlgBase.cpp  AStyleDlgBase.cpp  EditorDlgBase.cpp  SettingsDlgBase.cpp

# source directories
vpath %.cpp ../../src ../../dialog ../../../AStyle/src ../../../astyle/src
vpath %.h   ../../src ../../dialog ../../../AStyle/src ../../../astyle/src

# set prefix if not defined on the command line
ifndef prefix
	prefix=/usr
endif
SYSCONF_PATH=$(prefix)/share/doc/astylewx

# set wxWidgets release if not defined on the command line
ifdef WX
	wx = $(WX)
else
	wx = $(shell wx-config --release)
endif

# get GTK toolkit version and install prefix for desktop
tk = $(shell wx-config --query-toolkit)
ifeq ($(tk), gtk3)
	GTKVERSION = gtk+-3.0
else
	GTKVERSION = gtk+-2.0
endif

ifdef TK
ifeq ($(TK), gtk3)
	tk = gtk3
	GTKVERSION = gtk+-3.0
else ifeq ($(TK), gtk2)
	tk = gtk2
	GTKVERSION = gtk+-2.0
endif
endif

gnomeprefix:=$(shell pkg-config --variable=prefix $(GTKVERSION) 2>/dev/null)
ifndef prefix
ifdef gnomeprefix
	prefix=$(gnomeprefix)
else
	prefix=/usr
endif
endif

# define macros
# CXX defaults to g++
ifeq ($(CXX), g++)
	CXX = clang++
endif
bindir = wx$(wx)$(tk)/bin
objdir = wx$(wx)$(tk)/obj
idatadir=$(prefix)/share
ipixmapdir=$(idatadir)/pixmaps
ibindir=$(prefix)/bin
rpaths = -Wl,-rpath,./ -Wl,-rpath,../ -Wl,-rpath,./lib -Wl,-rpath,../lib \
-Wl,-rpath,../../../../AStyle/build/clang/bin  -Wl,-rpath,../../../../astyle/build/clang/bin
SOLIBVER = 3.2.0
# c++11 is required for clang wx=3.0, cannot use no-rtti
CBASEFLAGS = -Wall -Wextra -std=c++11 -fno-exceptions \
-Wno-potentially-evaluated-expression -I../../src -I../../dialog -I../../image
LDBASEFLAGS = -L../../../AStyle/build/clang/bin  -L../../../astyle/build/clang/bin
INSTALL=install -o $(USER) -g $(USER)

# get the compile and link options from wx-config
WXCONF := wx-config
ifdef WX
	WXCONF := $(WXCONF) --version=$(wx)
endif
ifdef TK
	WXCONF := $(WXCONF) --toolkit=$(tk)
endif
$(info ## WXCONF = $(WXCONF))

CCONFFLAGS  := $(shell $(WXCONF) --cxxflags)
LDCONFFLAGS := $(shell $(WXCONF) --libs adv,aui,core,stc)

##################################################

# define compile options for each build
ifdef CFLAGS
	CFLAGSr  =    -DNDEBUG $(CBASEFLAGS) $(CFLAGS) $(CCONFFLAGS)
	CFLAGSd  = -g -D_DEBUG $(CBASEFLAGS) $(CFLAGS) $(CCONFFLAGS)
else
	CFLAGSr  = -O2 -DNDEBUG $(CBASEFLAGS) $(CCONFFLAGS)
	CFLAGSd  = -g  -D_DEBUG $(CBASEFLAGS) $(CCONFFLAGS)
endif

# define link options
ifdef LDFLAGS
	LDFLAGSr = $(LDBASEFLAGS) $(LDFLAGS)  $(LDCONFFLAGS)
	LDFLAGSd = $(LDBASEFLAGS) $(LDFLAGS) $(LDCONFFLAGS)
else
	LDFLAGSr = -s $(LDBASEFLAGS) $(LDCONFFLAGS)
	LDFLAGSd =    $(LDBASEFLAGS) $(LDCONFFLAGS)
endif

# object files are built from the source list $(SRC)
# a suffix is added for each build
OBJ   = $(patsubst %.cpp,$(objdir)/%.o,$(SRC))
OBJd  = $(patsubst %.cpp,$(objdir)/%_d.o,$(SRC))
OBJs  = $(patsubst %.cpp,$(objdir)/%_s.o,$(SRCs))
OBJsd = $(patsubst %.cpp,$(objdir)/%_sd.o,$(SRCs))

# define object file rule (with the suffix) for each build

# OBJ
$(objdir)/%.o:  %.cpp  deps.mak
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSr) -DASTYLE_LIB -c $< -o $@

# OBJd
$(objdir)/%_d.o:  %.cpp  deps.mak
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSd) -DASTYLE_LIB -c $< -o $@

# OBJs
$(objdir)/%_s.o:  %.cpp  deps.mak
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSr) -DASTYLE_DYLIB -c $< -o $@

# OBJsd
$(objdir)/%_sd.o:  %.cpp  deps.mak
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSd) -DASTYLE_DYLIB -c $< -o $@

##################################################
# define build dependencies for each command

# the .o files must be before the LDFLAGS containing the wxWidgets libraries
# wxWidgets libraries missing from wx-config are added here
release:  astylewx
astylewx:  $(OBJ)
	@ mkdir -p $(bindir)
	$(CXX) -o $(bindir)/$@ $^ $(LDFLAGSr)
	@ echo

# the .o files must be before the LDFLAGS containing the wxWidgets libraries
# wxWidgets libraries missing from wx-config are added here
debug:  astylewxd
astylewxd:  $(OBJd)
	@ mkdir -p $(bindir)
	$(CXX) -o $(bindir)/$@ $^ $(LDFLAGSd)
	@ echo

# the .o files must be before the LDFLAGS containing the wxWidgets libraries
# wxWidgets libraries missing from wx-config are added here
shared:  astylewxso
astylewxso:  $(OBJs)
	@ mkdir -p $(bindir)
	$(CXX) -o $(bindir)/$@ $^ $(LDFLAGSr) $(rpaths)
	@ echo

# the .o files must be before the LDFLAGS containing the wxWidgets libraries
# wxWidgets libraries missing from wx-config are added here
shareddebug:  astylewxsod
astylewxsod:  $(OBJsd)
	@ mkdir -p $(bindir)
	$(CXX) -o $(bindir)/$@ $^ $(LDFLAGSd) $(rpaths)
	@ echo

# used to display variables for debugging
show:
	@echo $(SRC)
	@echo $(OBJ)

all:  release  debug  shared  shareddebug

clean:
	rm -f $(objdir)/*.o $(bindir)/*astylewx*

cleanobj:
	rm -f $(objdir)/*.o

deps:
	$(CXX) -MM $(CFLAGSr) ../../dialog/*.cpp ../../src/*.cpp | sed -e 's@/usr.* @@' | grep [a-zA-Z] >deps.mak

# The two last install commands will fail if Gnome is not installed or is not at $(prefix).
# This is OK - just means no AStyleWx in the Gnome Applications menu
install:
	$(INSTALL) -m 755 -d $(ibindir)
	$(INSTALL) -m 755 $(bindir)/astylewx  $(ibindir)

	$(INSTALL) -m 755 -d $(SYSCONF_PATH)
	@mkdir -p $(SYSCONF_PATH)/html;
	@for files in ../../doc/*.html  ../../doc/*.css; \
	do \
		$(INSTALL)  -m 644  "$$files"  $(SYSCONF_PATH)/html; \
	done

ifdef gnomeprefix
	$(INSTALL) -m 755 -d $(idatadir)/applications $(ipixmapdir)
	$(INSTALL) -m 755 ../../image/AStyleWx.desktop $(idatadir)/applications/astylewx.desktop
	$(INSTALL) -m 644 ../../image/AStyle_32.xpm $(ipixmapdir)/astyle-32.xpm
endif

uninstall:
	rm -f $(ibindir)/astylewx
	rm -rf $(SYSCONF_PATH)
ifdef gnomeprefix
	rm -f $(idatadir)/applications/astylewx.desktop
	rm -f $(ipixmapdir)/astyle-32.xpm
endif

=== AStyleWx/build/gcc/Makefile ===
# Make file for GCC compiler on Linux or compatible OS

# list of astylewx source files without the directory
# included are files from astyle/src, astylewx/src, and astylewx/dialog
SRC = astyle_main.cpp ASBeautifier.cpp ASFormatter.cpp ASEnhancer.cpp ASResource.cpp \
$(shell find ../../src -name "*.cpp" | sed -e 's@../../src/@@') \
AboutDlgBase.cpp  AStyleDlgBase.cpp  EditorDlgBase.cpp  SettingsDlgBase.cpp

# list of astylewxso source files without the directory
# included are files from astylewx/src, and astylewx/dialog
# not included are files from astyle/src,
SRCs = $(shell find ../../src -name "*.cpp" | sed -e 's@../../src/@@') \
AboutDlgBase.cpp  AStyleDlgBase.cpp  EditorDlgBase.cpp  SettingsDlgBase.cpp

# source directories
vpath %.cpp ../../src ../../dialog ../../../AStyle/src ../../../astyle/src
vpath %.h   ../../src ../../dialog ../../../AStyle/src ../../../astyle/src

# set prefix if not defined on the command line
ifndef prefix
    prefix=/usr
endif
SYSCONF_PATH=$(prefix)/share/doc/astylewx

# set wxWidgets release if not defined on the command line
ifdef WX
	wx = $(WX)
else
	wx = $(shell wx-config --release)
endif

# get GTK toolkit version and install prefix for desktop
tk = $(shell wx-config --query-toolkit)
ifeq ($(tk), gtk3)
	GTKVERSION = gtk+-3.0
else
	GTKVERSION = gtk+-2.0
endif

ifdef TK
ifeq ($(TK), gtk3)
	tk = gtk3
	GTKVERSION = gtk+-3.0
else ifeq ($(TK), gtk2)
	tk = gtk2
	GTKVERSION = gtk+-2.0
endif
endif

gnomeprefix:=$(shell pkg-config --variable=prefix $(GTKVERSION) 2>/dev/null)
ifndef prefix
ifdef gnomeprefix
	prefix=$(gnomeprefix)
else
	prefix=/usr
endif
endif

# define macros
# CXX defaults to g++
bindir = wx$(wx)$(tk)/bin
objdir = wx$(wx)$(tk)/obj
idatadir=$(prefix)/share
ipixmapdir=$(idatadir)/pixmaps
ibindir=$(prefix)/bin
rpaths = -Wl,-rpath,./ -Wl,-rpath,../ -Wl,-rpath,./lib -Wl,-rpath,../lib \
-Wl,-rpath,../../../../AStyle/build/gcc/bin  -Wl,-rpath,../../../../astyle/build/gcc/bin
SOLIBVER = 3.2.0
# -Wno-unused-local-typedefs is for wxWidgets 2.8 and gcc 4.9 compiler
# wxWidgets 3.0 does not need it, gcc < 4.9 does not need it
CBASEFLAGS = -Wall -std=c++11 -fno-rtti -fno-exceptions \
-I../../src -I../../dialog -I../../image
LDBASEFLAGS = -L../../../AStyle/build/gcc/bin  -L../../../astyle/build/gcc/bin
INSTALL=install -o $(USER) -g $(USER)

# get the compile and link options from wx-config
WXCONF := wx-config
ifdef WX
	WXCONF := $(WXCONF) --version=$(wx)
endif
ifdef TK
	WXCONF := $(WXCONF) --toolkit=$(tk)
endif
$(info ## WXCONF = $(WXCONF))

CCONFFLAGS  := $(shell $(WXCONF) --cxxflags)
LDCONFFLAGS := $(shell $(WXCONF) --libs adv,aui,core,stc)

##################################################

# define compile options for each build
ifdef CFLAGS
	CFLAGSr  =    -DNDEBUG $(CBASEFLAGS) $(CFLAGS) $(CCONFFLAGS)
	CFLAGSd  = -g -D_DEBUG $(CBASEFLAGS) $(CFLAGS) $(CCONFFLAGS)
else
	CFLAGSr  = -O2 -DNDEBUG $(CBASEFLAGS) $(CCONFFLAGS)
	CFLAGSd  = -g  -D_DEBUG $(CBASEFLAGS) $(CCONFFLAGS)
endif

# define link options
ifdef LDFLAGS
	LDFLAGSr = $(LDBASEFLAGS) $(LDFLAGS)  $(LDCONFFLAGS)
	LDFLAGSd = $(LDBASEFLAGS) $(LDFLAGS) $(LDCONFFLAGS)
else
	LDFLAGSr = -s $(LDBASEFLAGS) $(LDCONFFLAGS)
	LDFLAGSd =    $(LDBASEFLAGS) $(LDCONFFLAGS)
endif

# object files are built from the source list $(SRC)
# a suffix is added for each build
OBJ   = $(patsubst %.cpp,$(objdir)/%.o,$(SRC))
OBJd  = $(patsubst %.cpp,$(objdir)/%_d.o,$(SRC))
OBJs  = $(patsubst %.cpp,$(objdir)/%_s.o,$(SRCs))
OBJsd = $(patsubst %.cpp,$(objdir)/%_sd.o,$(SRCs))

# define object file rule (with the suffix) for each build

# OBJ
$(objdir)/%.o:  %.cpp  deps.mak
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSr) -DASTYLE_LIB -c $< -o $@

# OBJd
$(objdir)/%_d.o:  %.cpp  deps.mak
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSd) -DASTYLE_LIB -c $< -o $@

# OBJs
$(objdir)/%_s.o:  %.cpp  deps.mak
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSr) -DASTYLE_DYLIB -c $< -o $@

# OBJsd
$(objdir)/%_sd.o:  %.cpp  deps.mak
	@ mkdir -p $(objdir)
	$(CXX) $(CFLAGSd) -DASTYLE_DYLIB -c $< -o $@

##################################################
# define build dependencies for each command

# the .o files must be before the LDFLAGS containing the wxWidgets libraries
# wxWidgets libraries missing from wx-config are added here
release:  astylewx
astylewx:  $(OBJ)
	@ mkdir -p $(bindir)
	$(CXX) -o $(bindir)/$@ $^ $(LDFLAGSr)
	@ echo

# the .o files must be before the LDFLAGS containing the wxWidgets libraries
# wxWidgets libraries missing from wx-config are added here
debug:  astylewxd
astylewxd:  $(OBJd)
	@ mkdir -p $(bindir)
	$(CXX) -o $(bindir)/$@ $^ $(LDFLAGSd)
	@ echo

# the .o files must be before the LDFLAGS containing the wxWidgets libraries
# wxWidgets libraries missing from wx-config are added here
shared:  astylewxso
astylewxso:  $(OBJs)
	@ mkdir -p $(bindir)
	$(CXX) -o $(bindir)/$@ $^ $(LDFLAGSr) $(rpaths)
	@ echo

# the .o files must be before the LDFLAGS containing the wxWidgets libraries
# wxWidgets libraries missing from wx-config are added here
shareddebug:  astylewxsod
astylewxsod:  $(OBJsd)
	@ mkdir -p $(bindir)
	$(CXX) -o $(bindir)/$@ $^ $(LDFLAGSd) $(rpaths)
	@ echo

# used to display variables for debugging
show:
	@echo $(SRC)
	@echo $(OBJ)

all:  release  debug  shared  shareddebug

clean:
	rm -f $(objdir)/*.o $(bindir)/*astylewx*

cleanobj:
	rm -f $(objdir)/*.o

deps:
	$(CXX) -MM $(CFLAGSr) ../../dialog/*.cpp ../../src/*.cpp | sed -e 's@/usr.* @@' | grep [a-zA-Z] >deps.mak

# The two last install commands will fail if Gnome is not installed or is not at $(prefix).
# This is OK - just means no AStyleWx in the Gnome Applications menu
install:
	$(INSTALL) -m 755 -d $(ibindir)
	$(INSTALL) -m 755 $(bindir)/astylewx  $(ibindir)

	$(INSTALL) -m 755 -d $(SYSCONF_PATH)
	@mkdir -p $(SYSCONF_PATH)/html;
	@for files in ../../doc/*.html  ../../doc/*.css; \
	do \
		$(INSTALL)  -m 644  "$$files"  $(SYSCONF_PATH)/html; \
	done

ifdef gnomeprefix
	$(INSTALL) -m 755 -d $(idatadir)/applications $(ipixmapdir)
	$(INSTALL) -m 755 ../../image/AStyleWx.desktop $(idatadir)/applications/astylewx.desktop
	$(INSTALL) -m 644 ../../image/AStyle_32.xpm $(ipixmapdir)/astyle-32.xpm
endif

uninstall:
	rm -f $(ibindir)/astylewx
	rm -rf $(SYSCONF_PATH)
ifdef gnomeprefix
	rm -f $(idatadir)/applications/astylewx.desktop
	rm -f $(ipixmapdir)/astyle-32.xpm
endif

=== PKGBUILD ===
# Maintainer: Ray Donnelly <mingw.android@gmail.com>

_realname=astyle
pkgbase=mingw-w64-${_realname}
pkgname="${MINGW_PACKAGE_PREFIX}-${_realname}"
pkgver=3.4.13
pkgrel=1
pkgdesc='A Free, Fast, and Small Automatic Formatter for C, C++, C++/CLI, Objective-C, C#, and Java Source Code (mingw-w64)'
arch=('any')
mingw_arch=('mingw32' 'mingw64' 'ucrt64' 'clang64' 'clangarm64' 'clang32')
msys2_references=(
  'archlinux: astyle'
)
msys2_repository_url='https://gitlab.com/saalen/astyle/'
url='https://astyle.sourceforge.net/'
license=('spdx:MIT')
depends=("${MINGW_PACKAGE_PREFIX}-gcc-libs")
makedepends=("${MINGW_PACKAGE_PREFIX}-cmake"
             "${MINGW_PACKAGE_PREFIX}-ninja"
             "${MINGW_PACKAGE_PREFIX}-cc")
source=("https://gitlab.com/saalen/${_realname}/-/archive/${pkgver}/${_realname}-${pkgver}.tar.gz"
        "0001-Fix-CMake-install.patch")
sha256sums=('10f5f38b9e17b48b84d38de871878e8d1df98532f876259ef2bb25e889ef1545'
            '95f9d1e3cc073873a11c51b64bb7b0121d24a1c42e79e4a81d7f5ebd7131b8e9')

prepare() {
  cd "${srcdir}"/${_realname}-${pkgver}

  patch -Np1 -i "${srcdir}"/0001-Fix-CMake-install.patch
}

build() {
  mkdir -p "${srcdir}/build-${MSYSTEM}" && cd "${srcdir}/build-${MSYSTEM}"

  declare -a extra_config
  if check_option "debug" "n"; then
    extra_config+=("-DCMAKE_BUILD_TYPE=Release")
  else
    extra_config+=("-DCMAKE_BUILD_TYPE=Debug")
  fi

  MSYS2_ARG_CONV_EXCL="-DCMAKE_INSTALL_PREFIX=" \
    "${MINGW_PREFIX}"/bin/cmake.exe \
      -GNinja \
      -DCMAKE_INSTALL_PREFIX="${MINGW_PREFIX}" \
      "${extra_config[@]}" \
      ../${_realname}-${pkgver}/AStyle

  "${MINGW_PREFIX}"/bin/cmake.exe --build .
}

package() {
  cd "${srcdir}/build-${MSYSTEM}"

  DESTDIR="${pkgdir}" "${MINGW_PREFIX}"/bin/cmake.exe --install .

  install -Dm644 "${srcdir}/${_realname}-${pkgver}/AStyle/LICENSE.md" "${pkgdir}${MINGW_PREFIX}/share/licenses/${_realname}/LICENSE.md"
}
